## cinnamon 2.6.13

=== debian/changelog ===
cinnamon (2.6.13-1ubuntu2) wily; urgency=medium

  * No-change rebuild against libmozjs-24-0v5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 07:17:04 +0200

cinnamon (2.6.13-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/cinnamon.gsettings-override: Use firefox instead of iceweasel.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 02 Aug 2015 21:58:04 -0400

cinnamon (2.6.13-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Mon, 13 Jul 2015 21:38:44 +0200
