## cinnamon 2.6.13+rafaela

=== debian/changelog ===
cinnamon (2.6.13+rafaela) rafaela; urgency=medium

  * A11y applet: Show active keyboard modifiers when sticky keys are enabled
  * Renamed mintInstall.desktop -> mintinstall.desktop

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jul 2015 14:16:19 +0200

cinnamon (2.6.12) rafaela; urgency=medium

  [ mtwebster ]
  * photoframe desklet: remove long-unused 'quality' setting.
  * Spices.py: remove redundant url request when refreshing thumbnails.

  [ JosephMcc ]
  * Fix the activation of right side hot corners being blocked by the pointer barrier
  * Some improvements to the trash applet
  * fix the trash applet crashing cinnamon due to a misnamed function
  * cs_startup: Fix an issue where startup applications fails to start because a desktop file fails to load

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 01 Jul 2015 09:29:20 +0200

cinnamon (2.6.11) rafaela; urgency=medium

  * Trash applet: Fixed icon not updating, Cinnamon freezes and memory leaks when trashing large numbers of files
  * Updated translations in desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Jun 2015 16:05:29 +0200

cinnamon (2.6.10) rafaela; urgency=medium

  [ Gwendal Le Bihan ]
  * Don't fail when a stack is empty (can happen with the power panel)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2015 16:35:46 +0200

cinnamon (2.6.9) rafaela; urgency=medium

  [ Dexter Chua ]
  * signalManager.js: fix errors when disconnecting JS objects
  * cs_themes.py: fix potential crash. Fixes #4325

  [ Clement Lefebvre ]
  * Power Settings: Fixed battery info duplicated on the page every time it is refreshed
  * Power settings: Fixed typo in the code
  * Keyboard applet: Show text when layout icon isn't found
  * Bumped cjs dependency to 2.6.2 (required by signalManager)

  [ Michael Webster ]
  * photoframe desklet: Adjust an image's size only after it's been fully loaded, and we've received notification the size has changed (otherwise width and height are initially 0, and the aspect ratios of pictures aren't right.
  * cinnamon-settings: Set the first child visible each time a stacked settings page is navigated to.

  [ JosephMcc ]
  * fix an issue where panels/desklets can't get focus when a window is fullscreened on the primary monitor
  * Place modal dialogs like the About dialog on the monitor that currently has the mouse cursor instead of the monitor with the last focused window.

  [ glebihan ]
  * Added missing runtime dependency

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Jun 2015 23:33:09 +0200

cinnamon (2.6.8) rafaela; urgency=medium

  [ glebihan ]
  * Fix typo in doc

  [ Dexter Chua ]
  * windowManager.js: fix typo; fixes #4253
  * panel.js: fix panel autohide glitch
  * applet.js: don't use deprecated MenuItem

  [ Clement Lefebvre ]
  * Revert "Menu applet: Removed context menu on recent items (overkill and we're really struggling with performance at startup)"
  * Power applet: Fixed panel icon not getting refreshed after falling back to brightness icon (after a suspend/resume for instance)
  * Power Settings: Added missing "self" in front of function
  * Background settings: Don't fail when locale isn't as expected (fixes "LC_ALL=C cinnamon-settings backgrounds")

  [ zyisrad ]
  * Display Volume OSD on primary monitor correctly

  [ Michael Webster ]
  * windowManager.js: Fix window dimming behavior for attached modal dialogs.
  * menu applet: clean up panel icon section - having no icon is a valid option, and it wasn't working.
  * cs_startup: Let double-clicking entry open the edit dialog.

  [ David Gasquez ]
  * Fix typo

  [ leigh123linux ]
  * remove empty tooltip

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 14 Jun 2015 13:18:44 +0200

cinnamon (2.6.7) rafaela; urgency=medium

  [ Michael Webster ]
  * Make cinnamon a proper registered client with cinnamon-session.  This lets us kill it on command.  Otherwise, it lasts longer than c-s-d does (which is also a registered client) and we get strange icon/theme issues during logout, once xsettings dies.

  [ Clement Lefebvre ]
  * Renamed Screen Locker settings -> Screensaver and regenerated module desktop files
  * Updated desktop files
  * Make sure to refresh menu/panel-launchers at least once (when the Cinnamon icon theme is the same as the GTK one we don't get any icon-theme-change from St)
  * By default, allow Cinnamon to scale panel text and icons according to the panel heights

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 02 Jun 2015 12:39:58 +0200

cinnamon (2.6.6) rafaela; urgency=medium

  * Revert "Menu/Panel Launchers applets: Don't listen to St directly, refresh when icon theme or active display scale is changed" (Fixes race condition causing gnome icon theme in menu/panel-launchers at login)
  * BackgroundManager: After 60 seconds, apply gnome bg changes blindly (fixes case where Firefox->set as wallpaper saves a new picture using the same path as before)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 31 May 2015 18:59:15 +0200

cinnamon (2.6.5) rafaela; urgency=medium

  [ Clement Lefebvre ]
  * Added cinnamon-killer-daemon to restart nemo/CSD/cinnamon via keyboard shortcut

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 30 May 2015 13:22:51 +0200

cinnamon (2.6.4) rafaela; urgency=medium

  [ mtwebster ]
  * cinnamon-desktop-editor: Don't panic when an existing .desktop file doesn't have an icon defined.

  [ Stephen Collins ]
  * Make sure notification applet always stays hidden when it's supposed to

  [ Clement Lefebvre ]
  * Network applet: Fixed default IPV6 device being considered as important as default IPV4 one

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 29 May 2015 10:21:05 +0200

cinnamon (2.6.3) rafaela; urgency=medium

  [ Clement Lefebvre ]
  * Power settings: Don't rely on output.get_backlight_min|max() to show brightness controls as it's not reliable with all hardware. Try to get backlight() info directly to see if it's supported instead.

