## cinnamon 2.8.6

=== debian/changelog ===
cinnamon (2.8.6-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/cinnamon.gsettings-override: Use firefox instead of iceweasel.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Feb 2016 11:53:16 +0100

cinnamon (2.8.6-1) unstable; urgency=medium

  * New upstream release. (Closes: #802552)
  * Update debian patches.
  * Add missing dependency of gvfs-open.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Jan 2016 20:19:34 +0100
