## cinnamon 2.8.8%2Brosa

=== debian/changelog ===
cinnamon (2.8.8+rosa) rosa; urgency=medium

  [ Michael Webster ]
  * layout.js: Remove code for interaction with the screensaver.  It was always broken until 2.8.7, where I 'fixed' it, and has caused some reported regression where the panels will be hidden after returning from the screensaver.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Mar 2016 17:23:21 +0400

cinnamon (2.8.7) rosa; urgency=medium

  [ Michael Webster ]
  * cs_keyboard.py: Fix event handlers for teaching keybindings - the cursor-down and -up keys were being incorrectly used to navigate the tree view during teach mode, and it was breaking focus (and cancelling the teach.)
  * magnifier: limit max zoom to a reasonable value
  * menu applet: Fix vfade in the program list - it was only showing when desktop zoom was turned entirely off.  We've reworked zoom since then, so that the .applications key only determines whether we listen to key and mouse bindings or not - actual zoom activation occurs only when the magnification factor becomes > 1.0.
  * screensaver: Fix proxy to listen to the correct service, fix layout changes when the screensaver starts/stops.
  * layout.js: get an actual boolean from the screensaver proxy.
  * signalManager.js: pass argument array correctly, and don't wipe out this._storage when filtering out disconnected items.
  * cinnamonDBus: rename Cinnamon to CinnamonDBus, and import Cinnamon so screenshot calls work.

  [ JosephMcc ]
  * window-list: Prevent the window list thumbnails from showing when the applets context menu is open
  * window-list: Properly update the label in the window preview. Fixes https://github.com/linuxmint/Cinnamon/issues/4879
  * cs_backgrounds: For an update of some of the reveal children on initial page load to fix some settings not showing properly

  [ Rob Adams ]
  * Fix D-Bus methods for screen capture

  [ itzexor ]
  * util.js: do not modify error message

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Mar 2016 17:21:41 +0000

cinnamon (2.8.6) rosa; urgency=medium

  [ JosephMcc ]
  * launcher-editor: Implement the idea in https://github.com/linuxmint/Cinnamon/issues/4849 makes more sense for than the current behavior. Do the same for directory-editor.ui
  * window-list: Properly scale the window previews for hidpi

  [ Dexter Chua ]
  * popupmenu.js: Fix documentation

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Nov 2015 20:35:01 +0000

cinnamon (2.8.5) rosa; urgency=medium

  [ Michael Webster ]
  * workspace-switcher applet: update relevant workspace graph when a window is added or removed from a workspace.
  * workspace-switcher applet: Don't ignore maximized windows in the graph

  [ Michal ]
  * #4767: Handle situations when /usr/lib64 is a symlink to /usr/lib and vice versa on some distributions causing modules are being loaded multiple times
  * #4357: Replace has_icon method with lookup_icon one to fix missing flags icons in keyboard applet

  [ Dexter Chua ]
  * signalManager.js: fix typo (fixes #4818)

  [ JosephMcc ]
  * effects: Currently when setting the minimize animation to "traditional" no sound effect is used when restoring the window. Change this so the minimize sound is played in this case.

  [ Clement Lefebvre ]
  * Sound applet: Close menu when closing media player.

  [ Lars Mueller ]
  * Fix menu applet's graphical oddity during search This is fixing #4845

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 20 Nov 2015 17:13:52 +0000

cinnamon (2.8.4) rosa; urgency=medium

  [ Lars Mueller ]
  * Fix a timer issue in TooltipBase In rare cases, two enter events occurred without a leave event in between, leaving an orphaned _showTimer behind
  * Same fix for the overriden _onEnterEvent in the window list applet as in TooltipBase

  [ pixunil ]
  * Sound applet: Fetch the status of Loop and Shuffle at the beginning, not just on update

  [ Björn Richter ]
  * Fix: user_data is not passed to callback

  [ Michael Webster ]
  * js/ui/keybindings.js: Remove idle function for media keys.  This is implemented in muffin now, for *all* muffin-managed keybindings.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Nov 2015 19:00:34 +0000

cinnamon (2.8.3) rosa; urgency=medium

  [ JosephMcc ]
  * layout.js: Rework our strut handling code to better handle multi-monitor situations
  * effects: Set the default settings to actually match the default "Cinnamon" style so these get used on new installs
  * desklet/boxpoiner: Don't try to correct the arrow side for the desklet menu inside desklet.js. The boxpointer handles this on it's own.
  * CinnamonWindowTracker: Pull some upstream fixes so google chrome apps will use the proper icons in the window list

  [ Lars Mueller ]
  * Fix allocation error when STBoxLayout is align_end

  [ Clement Lefebvre ]
  * Sound applet: Fixed huge icons/artwork in HiDPI
  * Keyboard settings: Release grab when focus is lost

  [ cave ]
  * attentionhandler suppress autofocus

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Nov 2015 11:33:49 +0000

cinnamon (2.8.2) rosa; urgency=medium

  [ Daniel Alley ]
  * Replaced uses of the commands module with subprocess

  [ Michael Webster ]
  * st-container.c: Fix dispose method causing crashes.  priv->children was being updated during destruction of each child, causing invalid pointers when iterating thru priv->children.  Use clutter_actor_destroy_all_children to do just that, and we get no corruption.
  * appletManager.js: fix get_object_for_uuid() when an empty index of appletObj is hit upon.

  [ Clement Lefebvre ]
  * Settings: Added link to mintlocale's input method
  * Updated pot file

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 30 Oct 2015 12:03:31 +0000

cinnamon (2.8.1) rosa; urgency=medium

  [ Dexter Chua ]
  * panel.js: factor out panel allocation code and prevent division-by-zero error

  [ JosephMcc ]
  * workspace-switcher: Properly resize the switcher when using custom panel sizes

  [ Daniel Alley ]

