## cinnamon 3.0.2

=== debian/changelog ===
cinnamon (3.0.2-2) unstable; urgency=medium

  * Apply 0677dbf4e9fead24b6dbbf2465ee3f0609c54865 from upstream to expose
    the gtk-overlay-scrollbars setting.  Also, set this to disabled by
    default. (Closes: 824551). Thanks to Christoph Anton Mitterer for reporting.
  * Move versioned dependencies on other cinnamon packages to >= 3.0.

 -- Margarita Manterola <marga@debian.org>  Wed, 18 May 2016 22:42:13 +0200

cinnamon (3.0.2-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.
  * Update debian patches.
  * Imported Upstream version 2.8.8
  * update changelog and patches

  [ Maximiliano Curia ]
  * Update default favorite apps. Thanks to musca for reporting via irc.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Add new patch: Fix-middle-click-action-in-the-photo-frame.patch
    (Closes: #761309) Thanks to Martín Ferrari for the report and patch
  * Add new patch: photoframe-recurse-subdirectories.patch (Closes:
    #761310) Thanks to Martín Ferrari for the report and patch
  * New upstream release (3.0.1).
  * New upstream release (3.0.2).
  * Update default favorite apps.
  * Automatic update with ddeb_migration3.py
  * Bump Standards-Version to 3.9.7, no changes needed.
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Bump Standards-Version to 3.9.8
  * Refresh patches, drop the applied upstream

 -- Maximiliano Curia <maxy@debian.org>  Sun, 15 May 2016 11:59:31 +0200

cinnamon (2.8.7-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add cinnamon-doc suggests. (Closes: 805900) Thanks to Christoph
    Anton Mitterer for reporting.
  * New patch: 0007-Drop-nm-applet-from-the-session-files.patch (Closes:
    #818084) Thanks to Christian Pernegger for reporting.

  [ Fabio Fantoni ]
  * New upstream release.
  * Update debian patches.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 13 Mar 2016 19:43:24 +0100
